function convertEquatorial2Horizontal(raOrAZDeg, decDeg, glatDeg){
	var RET = new Array();	// Der Rckgabewert
												// The return value
	var RAORAZDEG = Number(raOrAZDeg);		// Der Stundenwinkel RA/AZ in dezimalen Grad
	var DECDEG = Number(decDeg);					//	Die Deklination/Hhe in dezimalen Grad
	var GLATDEG = Number(glatDeg);					// Geographischer Ort des Beobachters
	var SINA = 0.0;															// Der Sinus des Winkels Alpha
	var COSA = 0.0;														// Der Cosinus des Winkels Alpha
	var A = 0.0;																// Der Winkel von SINA
	var ASTRICH = 0.0;													// Der Winkel aus COSA
	var SINH = 0.0;															// Der Sinus der RA/AZ
	var AZH = 0.0;															// Der wahre Azimuth/Hhe in Grad
	//console.log("RA=" + RAORAZDEG + " Dec=" + DECDEG + " Geo=" + GLATDEG);
	// Den Sinus des Winkels Alpha aus RA/AZ und Dec/Hhe und geo. Breite berechnen ...
	SINA = Math.sin(DECDEG / RAD) * Math.sin(GLATDEG / RAD)+
				 Math.cos(DECDEG / RAD)* Math.cos(GLATDEG / RAD)* Math.cos(RAORAZDEG / RAD);
	//console.log("sinA=" + SINA);
	// ... und dann den Winkel Alpha in Grad ...
	A = Math.asin(SINA)* RAD;
	//console.log("A=" + A);
	// ... dann den Cosinus des Winkels Alpha aus RA/AZ und Dec/Hhe und geo. Breite berechnen ...
	COSA = (Math.sin(DECDEG / RAD)- Math.sin(GLATDEG / RAD)* Math.sin(A / RAD))/
					(Math.cos(GLATDEG / RAD)* Math.cos(A / RAD));
	//console.log("COSA=" + COSA);
	ASTRICH = Math.acos(COSA)* RAD;
	//console.log("A'=" + ASTRICH);
	SINH = Math.sin(RAORAZDEG / RAD);
	//console.log("SINH=" + SINH);
	if (SINH < 0.0)
		AZH = ASTRICH;
	else
		AZH = 360.0 - ASTRICH;
	//console.log("AZH=" + AZH);
	// ... RA/AZ ins Array ...
	RET.push(AZH);
	// Deklination/Hhe ins Array
	RET.push(A);
	
	return(RET);
	
}// End of convertEquatorial2Horizontal()

/*
function convertEquatorial2Horizontal(eqRA, eqDec, glat){
	var ret = new Array();	// Der Rckgabewert
												// The return value
	var moonLatRad = 0.0;	// Der ekliptische Breitengrad des Mondes als Radiant
												// The ecliptic latitude of the moon as radians
	var moonRA = 0.0;			// Rektaszension des Mondes
												// Rectascension of the Moon
	var moonDecRad = 0.0;	// Deklination des Mondes in Radiant
												// Declination of the Moon in radians
	var moonRADeg = 0.0;	// Rektaszension des Mondes in Grad
												// Rectascension of the Moon in degrees
	var moonRARad = 0.0;	// Rektaszension des Mondes in Radianten
												// Rectascension of the Moon in radians
	var sinA = 0.0;					// Variable fr Zwischenwert
												// Variable for intermediate value
	var arcsinA = 0.0;				// Variable fr Zwischenwert arcsin
												// Variable for intermediate value arcsin
	var y = 0.0;						// Variable fr Zwischenwert y
												// Variable for intermediate value y
	var x = 0.0;						// Variable fr Zwischenwert x
												// Variable for intermediate value x
	var atanA = 0.0;				// Der Arcus Tangens aus x und y ...
												// The arc tangent of x and y . . .
	var B = 0.0;						// atanA ind Grad konvertieren ...
												// Convert atanA to degrees . . .
	var AZdeg = 0.0;				// Azimuth in den gltigen Bereich als dezimale Grad ...
												// Bring decimal azimuth degrees to the right area . . .
	// Der Breitengrad des Standorts des Beobachters in Grad ...
	moonLatRad = glat / RAD;
	// ... und die Deklination als Radianten ...
	// ... and the declination in radians ...
	moonDecRad = eqDec/ RAD;
	// ... in moonRADeg ist der dezimale Stundenwinkel der quatorialen Rektazension als Grad enthalten ...
	moonRADeg = eqRA ;
	// ... diesen Wert dann in Radianten umrechnen ...
	// ... convert this value in radians ...
	moonRARad = moonRADeg / RAD;
	// ... Zwischenwert der RA und Dec als sin...
	// ... the intermediate value of RA and Dec as sin ...
	sinA = Math.sin(moonDecRad ) * Math.sin(moonLatRad) + Math.cos(moonDecRad)* Math.cos(moonLatRad)* Math.cos(moonRARad);
	// ... und diese als arcsin ...
	// ... and this value as arcsin ...
	arcsinA = Math.asin(sinA);
	// ... den y-Wert berechnen ...
	// . . . calculate the y-value . . .
	y = -Math.cos(moonDecRad )* Math.cos(moonLatRad)* Math.sin(moonRARad);
	// ... den x-Wert berechnen ...
	// . . . calculate the x-value . . .
	x = Math.sin(moonDecRad )- (Math.sin(moonLatRad)*  sinA);
	// ... den Arcus Tangens von x und y berechnen ...
	// calculate the arcus tangens of x and y ...
	atanA = anotherArcTan(x, y);
	// ... und dann konvertiere ihn nach Grad ...
	// ... and then convert him to degrees ...
	B = atanA * RAD;
	AZdeg = unwindDeg(B ) ;
	// ... Grad Azimuth ins Array ...
	// ... Degrees Azimuth to array
	ret.push (AZdeg);
	// ... Grad Deklination ins Array ...
	// ... Degrees declination to array
	ret.push (arcsinA * RAD);
	// ... und zurck zum Aufrufer
	// ... and back to the caller ...
	return(ret);
	
}// End of convertEquatorial2Horizontal()
*/